Get Segmentation Session Settings

Get Segmentation Session Settings
Get segmentation session settings

Retrieves the configuration settings for a segmentation session, including CSV mapping configuration and publish settings.

Request
URI
GET
https://{api_host}/ssp/segmentation/{session-id}/settings
COPY
Path Parameters
string
session-id
Required  

Unique identifier of the segmentation session


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved session settings

Returns SegmentationSessionSettings of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineSegmentationSessionSettings1
{
    "_create_user": "system",
    "_create_time": 1781138986404,
    "_last_modified_user": "admin",
    "_last_modified_time": 1781139555120,
    "_revision": 1,
    "_resource_type": "string",
    "_system_owned": false,
    "id": "f4a7eb15-43c4-44cb-ac5c-8a5d5c15235b",
    "display_name": "settings_f4a7eb15-43c4-44cb-ac5c-8a5d5c15235b",
    "description": "string",
    "site_ids": [],
    "csv_mappings": {
        "asset_identifiers": [
            "asset id",
            "asset name",
            "asset ip"
        ],
        "columns": [
            "asset type",
            "asset name",
            "asset ip",
            "asset id",
            "infrastructure service",
            "region",
            "zone",
            "environment",
            "application",
            "application tier"
        ],
        "asset_type": "asset type",
        "hierarchy_scopes": {
            "region_scope": "region",
            "zone_scope": "zone",
            "environment_scope": "environment",
            "application_scope": "application",
            "application_tier_scope": "application tier"
        },
        "infrastructure_service": "infrastructure service"
    },
    "allow_existing_group_rename": true
}

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/ssp/segmentation/{session-id}/settings